diff --git a/src/lib/dns.h b/src/lib/dns.h
index 78d6402..c197ecc 100644
--- a/src/lib/dns.h
+++ b/src/lib/dns.h
@@ -149,27 +149,10 @@ DNS_PUBLIC int *dns_debug_p(void);
  *
  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 
-#if defined __clang__
-#define DNS_PRAGMA_PUSH _Pragma("clang diagnostic push")
-#define DNS_PRAGMA_QUIET _Pragma("clang diagnostic ignored \"-Winitializer-overrides\"")
-#define DNS_PRAGMA_POP _Pragma("clang diagnostic pop")
-
-#define dns_quietinit(...) \
-	DNS_PRAGMA_PUSH DNS_PRAGMA_QUIET __VA_ARGS__ DNS_PRAGMA_POP
-#elif (__GNUC__ == 4 && __GNUC_MINOR__ >= 6) || __GNUC__ > 4
-#define DNS_PRAGMA_PUSH _Pragma("GCC diagnostic push")
-#define DNS_PRAGMA_QUIET _Pragma("GCC diagnostic ignored \"-Woverride-init\"")
-#define DNS_PRAGMA_POP _Pragma("GCC diagnostic pop")
-
-/* GCC parses the _Pragma operator less elegantly than clang. */
-#define dns_quietinit(...) \
-	__extension__ ({ DNS_PRAGMA_PUSH DNS_PRAGMA_QUIET __VA_ARGS__; DNS_PRAGMA_POP })
-#else
 #define DNS_PRAGMA_PUSH
 #define DNS_PRAGMA_QUIET
 #define DNS_PRAGMA_POP
 #define dns_quietinit(...) __VA_ARGS__
-#endif
 
 #if defined __GNUC__
 #define DNS_PRAGMA_EXTENSION __extension__
